--- tests/unit/endian.h.orig	2022-11-01 23:58:59
+++ tests/unit/endian.h	2022-11-01 23:59:04
@@ -31,7 +31,20 @@
 
 // GNU libc offers the helpful header <endian.h> which defines
 // __BYTE_ORDER
+#if defined(__APPLE__)
+#include <sys/types.h>
+#if __DARWIN_BYTE_ORDER == __DARWIN_LITTLE_ENDIAN
+#define BOOST_LITTLE_ENDIAN
+#define BOOST_BYTE_ORDER __DARWIN_LITTLE_ENDIAN
+#elif __DARWIN_BYTE_ORDER == __DARWIN_BIG_ENDIAN
+#define BOOST_BIG_ENDIAN
+#define BOOST_BYTE_ORDER __DARWIN_BIG_ENDIAN
+#else
+# error The file boost/detail/endian.hpp needs to be set up for your CPU type.
+#endif
+#else
 
+
 #if defined (__GLIBC__)
 # include <endian.h>
 # if (__BYTE_ORDER == __LITTLE_ENDIAN)
@@ -69,6 +82,7 @@
 # define BOOST_BYTE_ORDER 1234
 #else
 # error The file boost/detail/endian.hpp needs to be set up for your CPU type.
+#endif
 #endif
 
 
